## openvr 1.6.10~ds1

=== debian/changelog ===
openvr (1.6.10~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Apply patchset to use system jsoncpp instead of embedded one.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 16 Aug 2019 11:18:13 +0800

openvr (1.5.17~ds1-2) unstable; urgency=medium

  * Added references to the embedded json implementation.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 14 Aug 2019 05:30:40 +0800

openvr (1.5.17~ds1-1) unstable; urgency=medium

  * Initial Release. (Closes: #933579)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 Aug 2019 09:32:32 +0800
