=== debian/control ===
Source: openvr
Section: contrib/devel
Priority: optional
Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11),
 libjsoncpp-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/ValveSoftware/openvr
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git

Package: libopenvr-api-dev
Section: contrib/libdevel
Architecture: linux-any
Depends:
 ${misc:Depends},
Description: OpenVR SDK -- development files
 OpenVR is an API and runtime that allows access to VR hardware from multiple
 vendors without requiring that applications have specific knowledge of the
 hardware they are targeting. This repository is an SDK that contains the API
 and samples. The runtime is under SteamVR in Tools on Steam.
 .
 This package contains the headers.
