=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

override_dh_install:
	# Move the static library in a multi-arch subdirectory
	cd debian/libopenvr-api-dev/usr/lib/ && \
	  mkdir $(DEB_HOST_MULTIARCH) && \
	  mv *.a $(DEB_HOST_MULTIARCH)
	dh_missing --list-missing

%:
	dh $@


# Use mk-origtargz command to follow Files-Excluded tag in d/copyright to
# repack DFSG tarbll.
get-orig-source:
	set -e;\
	wget --continue \
		https://github.com/ValveSoftware/openvr/archive/v$(DEB_VERSION_UPSTREAM).tar.gz
	mk-origtargz --rename --repack --repack-suffix ~ds1 --compression xz v$(DEB_VERSION_UPSTREAM).tar.gz
