## openvr 1.8.19~ds1

=== debian/changelog ===
openvr (1.8.19~ds1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:15 +0100

openvr (1.8.19~ds1-3) unstable; urgency=medium

  * debian/control: fix overwriting files from libopenvr-api-dev.
    (Closes: #946424)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 13 Dec 2019 15:52:18 +0800

openvr (1.8.19~ds1-2) unstable; urgency=medium

  * Drop private-lib-path patch.
  * Add a patch to build lib with versioned soname.
  * Split the package to libopenvr-api1 and libopenvr-dev.
  * Improve the patch to install into arch specific dir.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Dec 2019 14:42:40 +0800

openvr (1.8.19~ds1-1) unstable; urgency=medium

  * New upstream version 1.8.19.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Nov 2019 11:56:52 +0800

openvr (1.7.15~ds1-1) unstable; urgency=medium

  * New upstream version 1.7.15.
  * Fix private lib path in .pc file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 11 Oct 2019 15:48:20 +0800

openvr (1.6.10~ds1-2) unstable; urgency=medium

  * Really build as shared libs with system jsoncpp instead of static.
  * Apply patches to fix ftbfs and make lintian happy.
  * debian/control: added shlibs depends line as now we ship shared libs
    instead of static.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 19 Aug 2019 12:15:11 +0800
