=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED=True -DUSE_SYSTEM_JSONCPP=True

override_dh_missing:
	dh_missing --list-missing

# Use mk-origtargz command to follow Files-Excluded tag in d/copyright to
# repack DFSG tarbll.
get-orig-source:
	set -e;\
	wget --continue \
		https://github.com/ValveSoftware/openvr/archive/v$(DEB_VERSION_UPSTREAM).tar.gz
	mk-origtargz --rename --repack --repack-suffix ~ds1 --compression xz v$(DEB_VERSION_UPSTREAM).tar.gz
