## openvr 1.10.30~ds1

=== debian/changelog ===
openvr (1.10.30~ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 28 Apr 2020 16:34:41 +0800

openvr (1.10.30~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Replace previous patchset with patchset from upstream pull request.
  * Updated findjsoncpp.patch to find the jsoncpp lib in correctly
    location.
  * Add upstream pull request 1342 that fixed ftbfs.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 01 Apr 2020 08:04:04 +0800

openvr (1.8.19~ds1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 30 Mar 2020 14:15:16 +0800
