## openvr 1.12.5~ds1

=== debian/changelog ===
openvr (1.12.5~ds1-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:50:31 +0000

openvr (1.12.5~ds1-1build1) hirsute; urgency=medium

  * Rebuild against new libjsoncpp24.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 15:26:13 +0100

openvr (1.12.5~ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 07 Aug 2020 16:59:29 +0800
