=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvr
 Section: contrib/devel
 Priority: optional
-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  cmake,
@@ -12,11 +13,25 @@
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git
 
-Package: libopenvr-api-dev
+Package: libopenvr-api1
+Section: contrib/libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OpenVR SDK
+ OpenVR is an API and runtime that allows access to VR hardware from multiple
+ vendors without requiring that applications have specific knowledge of the
+ hardware they are targeting. This repository is an SDK that contains the API
+ and samples. The runtime is under SteamVR in Tools on Steam.
+
+Package: libopenvr-dev
 Section: contrib/libdevel
 Architecture: linux-any
 Depends:
+ libopenvr-api1 (= ${binary:Version}),
  ${misc:Depends},
+Replaces: libopenvr-api-dev (<<1.8.19~ds1-2)
+Breaks: libopenvr-api-dev (<<1.8.19~ds1-2)
 Description: OpenVR SDK -- development files
  OpenVR is an API and runtime that allows access to VR hardware from multiple
  vendors without requiring that applications have specific knowledge of the
