=== debian/changelog ===
openvr (1.23.7~ds1-2.1build2) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 12:03:09 +0000

openvr (1.23.7~ds1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:08:38 +1100

openvr (1.23.7~ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063109

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:53:26 +0000

openvr (1.23.7~ds1-2) unstable; urgency=medium

  * Switch to team maintenance.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.
  * Set Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 Feb 2023 13:47:08 +0100

openvr (1.23.7~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.7.
  * Add an upstream patch to fix the build.
  * Rebase upstream-pull-request-1342.patch to point to a new file location.
  * debian/clean: Clean bin/.

 -- Safir Secerovic <sapphire@linux.org.ba>  Sat, 11 Feb 2023 17:42:28 -0600
