=== debian/control ===
--- 
+++ 
@@ -2,18 +2,25 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
-Uploaders: Héctor Orón Martínez <zumbi@debian.org>
-Build-Depends:
+XSBC-Original-Maintainer: Debian xrdesktop Team <team+xrdesktop@tracker.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Lubosz Sarnecki <lubosz.sarnecki@collabora.com>,
+ Christoph Haag <christoph.haag@collabora.com>,
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libjsoncpp-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ValveSoftware/openvr
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/openvr
 Vcs-Git: https://salsa.debian.org/xrdesktop-team/openvr.git
+Rules-Requires-Root: no
 
-Package: libopenvr-api1
+Package: libopenvr-api1t64
+Provides: ${t64:Provides}
+Replaces: libopenvr-api1
+Breaks: libopenvr-api1 (<< ${source:Version})
 Section: contrib/libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +35,7 @@
 Section: contrib/libdevel
 Architecture: linux-any
 Depends:
- libopenvr-api1 (= ${binary:Version}),
+ libopenvr-api1t64 (= ${binary:Version}),
  ${misc:Depends},
 Replaces: libopenvr-api-dev (<<1.8.19~ds1-2)
 Breaks: libopenvr-api-dev (<<1.8.19~ds1-2)
