## openvr 2.12.1~ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Set the minimum required version of CMake for this project.
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.12)
 
 # Set project name.
 project(OpenVRSDK)
@@ -49,8 +49,10 @@
   if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
     set(PLATFORM_NAME "linux")
     add_definitions(-DLINUX -DPOSIX)
-    if(PROCESSOR_ARCH MATCHES "64")
-        add_definitions(-DLINUX64)
+    if (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
+      add_definitions(-DLINUXARM64)
+    elseif(PROCESSOR_ARCH MATCHES "64")
+      add_definitions(-DLINUX64)
     endif()
   endif()
 elseif(APPLE)
