=== debian/changelog ===
openvr (2.12.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * salsa-ci.yml: disable 32-bits architectures
  * Fix bug closed in previous changelog entry
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Aug 2025 07:37:43 +0200

openvr (2.12.1~ds1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.12.1~ds1 (Closes: #1067724)
  * Remove libopenvr-api1t64.lintian-overrides to handle correctly
  * d/patches:
    - Remove openvr-fix-1.23.7-compilation.patch, already applied in the
      upstream
    - Refresh all patches
  * d/control:
    - Bump Standards-Version to 4.7.2; no changes needed
    - Rename libopenvr-api1t64 to libopenvr-api2 to match SONAME bump
    - Remove unnecessary Breaks/Replaces from libopenvr-api2
    - Move dpkg-dev in Build-Depends to follow formatting convention
  * d/copyright:
    - Add contrib section explanation
    - Add myself
  * d/rules: Enable full hardening
  * d/watch: Bump to version 4
  * Add salsa-ci.yml and enabling building on ARM

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Thu, 07 Aug 2025 19:20:55 -0300
