=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED=True -DUSE_SYSTEM_JSONCPP=True

override_dh_missing:
	dh_missing --list-missing
